Subject: dvijep problem (and fix).

From: Arnaldo Mandel <[email-masked]>
Date: Wed, 21 Nov 90 14:17:35 MST

We have been using dvijep at this Institute for almost two years, and
are quite happy with it.  It is running on an  HP9000/370 , formerly
under HPUX 6.5, now under 7.0, and works without a glitch.

That is, it used to.  I tried recently to use Levy's greek fonts, from
the TeX distribution, and was chagrined when a .dvi file which appeared
as expected on the screen did not print.  After some work I found the
problem and a fix for it.  It turns out thet Levy's fonts are 256
character fonts, and although your skeletal driver has no problem
handling these, the Laserjet+ cannot do it, as its fonts can have at most
192 characters.  I made a workaround, which thanks to the extremely good
quality of your code, consist of a single additional line.  I simply mark,
for each font, a range of the characters to be bitmapped. There is a diff
at the end of the message.

While this probably works always, it can become a big inconvenience
now that 256 character fonts will become standard (as I gather from
Texhax).  In that case, it would probably be  a better policy saving
some of HP's font handles to be used as blocks of "quarter-fonts".
That would require some restructuring of the driver, and likely a
better solution will occur to you.  So, I hope you are willing to
add "support for 256 character fonts in dvijep" to your "to-do" list.

Anyway, thank you for producing such an invaluable tool for our
everyday work

Arnaldo

*** dvijep.c.orig	Mon Nov 19 18:52:36 1990
--- dvijep.c	Mon Nov 19 18:58:29 1990
***************
*** 599,604 ****
--- 599,605 ----
  	    cell_height = 1 + fontptr->ch[the_char].yoffp + char_below;
  	    fontptr->ch[the_char].isloaded = FALSE;
  	    fontptr->ch[the_char].istoobig = (BOOLEAN)(
+ 		IN(128,the_char,191) ::	/* kludge for large fonts (am) */
  	        !IN(-128,-fontptr->ch[the_char].xoffp,127) ::
  		!IN(-128, fontptr->ch[the_char].yoffp,127) ::
  		!IN(1,fontptr->ch[the_char].wp,255) ::

**********************************************************************
 Arnaldo Mandel                .
 MAC-IMEUSP                    .         [email-masked]
 Cx. P. 20.570                 .         [email-masked]
 01458 - Sao Paulo - SP        .
 Brazil                        .
----------------------------------------------------------------------
MAC-IMEUSP is a strange acronym (in bureaucratyc Portuguese) for:
Department of Computer Science
Institute for Mathematics and Statistics
University of S\~{a}o Paulo
**********************************************************************